Description

Currently Print Composer can import SVG symbols. A great feature would be the ability to import an Inkscape SVG drawing of a map title

block including company logos, fancy page borders, etc.

History

#1 - 2009-04-30 12:17 AM - Andreas Neumann

This is already possible (at least in trunk (or I also think upcoming 1.1 release)). You can browse and select any SVG file.

It needs however lots of improvements (proportional and non-proportional-scaling) - currently only non-proportional. Also text in SVG seems to render

incorrectly - this is probably a bug in the qt-SVG implementation.

So, the functionality is already there but need to be improved and bugs fixed.

#2 - 2009-07-19 03:44 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

I cannot see any particular problem importing SVGs into the print composer, on qgis 1.2 from trunk. Maybe improvements have been already made since

the ticket was open.

I'll close it, but please reopen if necessary.

#3 - 2009-07-19 04:00 AM - Andreas Neumann

Well - as I stated above there are problem with text.

Multiline text often fails to import correctly. There are two possible solutions (outside of QGIS):

    -  Fix the import problems in QT (I believe that's the desired route)

    -  Fix the Inkscape export - which is theoretically standards compliant - but a bit awkward as it outputs everything in styles and uses strange

repeated/redundant style and placement attributes. Once the attributes are cleaned up manuall, QGIS importst the SVGs fine

I would recommend fixing both issues - but it is somehow outside the scope of QGIS. So I guess we can really close this bug. It's probably not solved but it

can't be solved in QGIS directly.

We should knock on Nokia/Trolltech and Inkscape door to get this fixed.
#4 - 2009-07-20 07:01 AM - craigleat -

The multi-line text problem has been reported as a bug:

http://trac.osgeo.org/qgis/ticket/1796
